/*-----------------------------------------------------------------------*/
/*  (C) Copyright Institute for Astronomy ETHZ 8093 Zuerich Switzerland  */
/*-----------------------------------------------------------------------*/
/*  Programmname: unit1.h                                                */
/*                                                                       */
/*  Revision: V1.2     Date: 29.06.2017    Autor: Chr. Monstein          */
/*                                                                       */
/*  Purpose: Callisto installation tool                                  */
/*                                                                       */
/*  Compiler: BORLAND C++Builder 6                                       */
/*-----------------------------------------------------------------------*/

// Created by: Chr. Monstein 29.06.2017
// Updated by: Chr. Monstein 03.07.2017
// Updated by: Chr. Monstein 28.07.2017 multi CALLISTO on the same PC
//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <FileCtrl.hpp>
#include <Mask.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Math.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TDriveComboBox *DriveComboBox1;
        TLabel *Label3;
        TMemo *Memo1;
        TButton *Button1;
        TLabel *Label4;
        TProgressBar *ProgressBar1;
        TEdit *Edit1;
        TLabel *Label5;
        TEdit *Edit2;
        TLabel *Label6;
        TEdit *Edit3;
        TLabel *Label7;
        TEdit *Edit4;
        TLabel *Label8;
        TEdit *Edit5;
        TLabel *Label9;
        TEdit *Edit6;
        TLabel *Label10;
        TEdit *Edit7;
        TLabel *Label1;
        TEdit *Edit8;
        TLabel *Label2;
        TEdit *Edit9;
        TLabel *Label11;
        TEdit *Edit10;
        TLabel *Label12;
        TEdit *Edit11;
        TLabel *Label13;
        TButton *Button2;
        TBitBtn *BitBtn1;
        TButton *Button6;
        TCheckBox *CheckBox1;
        TButton *Button7;
        void __fastcall DriveComboBox1Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Edit1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall Button7Click(TObject *Sender);
private:	// Anwender-Deklarationen
public:		// Anwender-Deklarationen
    __fastcall TForm1(TComponent* Owner);

    void __fastcall Execute(char *cmd);
    void __fastcall GenerateCallistoConfiguration(void);
    void __fastcall GenerateSchedulerConfiguration(void);
    void __fastcall GenerateFrequencyGeneratorConfiguration(void);
    void __fastcall GenerateWebGeneratorConfiguration(void);
    void __fastcall GeneratePerlScript(void);
    void __fastcall GenerateLCplotterConfiguration(void);
    void __fastcall GenerateLCPYplotterConfiguration(void);

};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
